| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
tif_strip.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Functions
tstrip_t | TIFFComputeStrip (TIFF *tif, uint32 row, tsample_t sample)
tstrip_t | TIFFNumberOfStrips (TIFF *tif)
tsize_t | TIFFVStripSize (TIFF *tif, uint32 nrows)
tsize_t | TIFFRawStripSize (TIFF *tif, tstrip_t strip)
tsize_t | TIFFStripSize (TIFF *tif)
uint32 | TIFFDefaultStripSize (TIFF *tif, uint32 request)
uint32 | _TIFFDefaultStripSize (TIFF *tif, uint32 s)
tsize_t | TIFFScanlineSize (TIFF *tif)
tsize_t | TIFFOldScanlineSize (TIFF *tif)
tsize_t | TIFFNewScanlineSize (TIFF *tif)
tsize_t | TIFFRasterScanlineSize (TIFF *tif)

## Function Documentation

uint32 _TIFFDefaultStripSize | ( | TIFF * | tif,
|  | uint32 | s
| ) |  |

Definition at line 204 of file tif_strip.c.

tstrip_t TIFFComputeStrip | ( | TIFF * | tif,
|  | uint32 | row,
|  | tsample_t | sample
| ) |  |

Definition at line 68 of file tif_strip.c.

uint32 TIFFDefaultStripSize | ( | TIFF * | tif,
|  | uint32 | request
| ) |  |

Definition at line 198 of file tif_strip.c.

tsize_t TIFFNewScanlineSize | ( | TIFF * | tif | ) |

Definition at line 301 of file tif_strip.c.

tstrip_t TIFFNumberOfStrips | ( | TIFF * | tif | ) |

Definition at line 90 of file tif_strip.c.

tsize_t TIFFOldScanlineSize | ( | TIFF * | tif | ) |

Definition at line 275 of file tif_strip.c.

tsize_t TIFFRasterScanlineSize | ( | TIFF * | tif | ) |

Definition at line 346 of file tif_strip.c.

tsize_t TIFFRawStripSize | ( | TIFF * | tif,
|  | tstrip_t | strip
| ) |  |

Definition at line 158 of file tif_strip.c.

tsize_t TIFFScanlineSize | ( | TIFF * | tif | ) |

Definition at line 227 of file tif_strip.c.

tsize_t TIFFStripSize | ( | TIFF * | tif | ) |

Definition at line 182 of file tif_strip.c.

tsize_t TIFFVStripSize | ( | TIFF * | tif,
|  | uint32 | nrows
| ) |  |

Definition at line 107 of file tif_strip.c.